<?php  
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'Luzuk' ),
		'priority' =>20
	)
);


lzCustomLable($wp_customize, 'contactus_Details_bx_label', 'luzuk_premium_contactus_section', 'Details Box Setting');

$wp_customize->add_setting(
	'luzuk_contactdetai_title',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Our Contacts', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactdetai_title',
	array(
		'settings'      => 'luzuk_contactdetai_title',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Details Box Title', 'Luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactdetai_text',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum.', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactdetai_text',
	array(
		'settings'      => 'luzuk_contactdetai_text',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Details Box Text', 'Luzuk Premium' )
	)
);


lzAddElement($wp_customize, 'luzuk_contactus_addtitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Address Label", 'luzuk_sanitize_text', 'Location');

lzAddElement($wp_customize, 'luzuk_contactus_address', 'luzuk_premium_contactus_section', 'textarea', $label="Address Line One", 'luzuk_sanitize_text', 'Add Contact Address Here..');

lzAddElement($wp_customize, 'luzuk_contactus_addressdata1', 'luzuk_premium_contactus_section', 'textarea', $label="Address Line Two", 'luzuk_sanitize_text', '');

lzAddElement($wp_customize, 'luzuk_contactus_addressdata2', 'luzuk_premium_contactus_section', 'textarea', $label="Address Line Three", 'luzuk_sanitize_text', '');

lzAddElement($wp_customize, 'luzuk_contactus_mailatitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Email Label", 'luzuk_sanitize_text', 'Email Us');

lzAddElement($wp_customize, 'luzuk_contactus_email', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Email First", 'luzuk_sanitize_text', 'contact@example.com');

lzAddElement($wp_customize, 'luzuk_contactus_email2', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Email Second", 'luzuk_sanitize_text', 'info@example.com');

lzAddElement($wp_customize, 'luzuk_contactus_phonetitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Phone Label", 'luzuk_sanitize_text', 'Call Us');

lzAddElement($wp_customize, 'luzuk_contactus_phone', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Phone First", 'luzuk_sanitize_text', '+1 999 999 9999');

lzAddElement($wp_customize, 'luzuk_contactus_phone2', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Phone Second", 'luzuk_sanitize_text', '+1 888 888 8888');


lzCustomLable($wp_customize, 'contactus_Details_bx_clr', 'luzuk_premium_contactus_section', 'Details Box Color');


addColorPalatOption($wp_customize, 'luzuk_contactus_boxColor', 'luzuk_premium_contactus_section', 'Contact Box Color One', '#5296eb');

addColorPalatOption($wp_customize, 'luzuk_contactus_box1Color', 'luzuk_premium_contactus_section', 'Contact Box Color Two', '#1d62b8');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailbxtitleClr', 'luzuk_premium_contactus_section', 'Contact Box Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailbxtxtClr', 'luzuk_premium_contactus_section', 'Contact Box Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailbxicntitleClr', 'luzuk_premium_contactus_section', 'Contact Box Icon Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailiconColor', 'luzuk_premium_contactus_section', 'Contact Box Phone, Email, Address Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailColor', 'luzuk_premium_contactus_section', 'Contact Box Email & Phone No. Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailhoverColor', 'luzuk_premium_contactus_section', 'Contact Box Details Email & Phone No. Hover Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailinfoColor', 'luzuk_premium_contactus_section', 'Contact Box Address Color', '#fff');



lzCustomLable($wp_customize, 'contactus_Form_label', 'luzuk_premium_contactus_section', 'Form Block Setting');

$wp_customize->add_setting(
	'luzuk_contactus_formsubtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get Quote', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_formsubtitle',
	array(
		'settings'      => 'luzuk_contactus_formsubtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Sub Title', 'Luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_formtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Enquiry Now', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_formtitle',
	array(
		'settings'      => 'luzuk_contactus_formtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Title', 'Luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_formtext',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. It is a long established fact that a reader will be distracted by the readable when looking at its layout.', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_formtext',
	array(
		'settings'      => 'luzuk_contactus_formtext',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Text', 'Luzuk Premium' )
	)
);

lzAddElement($wp_customize, 'luzuk_contactus_shortcode', 'luzuk_premium_contactus_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Location Map', 'Luzuk' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'Luzuk')));


lzCustomLable($wp_customize, 'contactus_Add_color', 'luzuk_premium_contactus_section', 'Contact Colors');

addColorPalatOption($wp_customize, 'luzuk_contactus_formboxColor', 'luzuk_premium_contactus_section', 'Contact Form Box Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_subtitleColor', 'luzuk_premium_contactus_section', 'Sub Title Color', '#1d62b8');

addColorPalatOption($wp_customize, 'luzuk_contactus_titleColor', 'luzuk_premium_contactus_section', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_txtColor', 'luzuk_premium_contactus_section', 'Text Color', '#585858');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#585858');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form BG Color', '#f4f4f4');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#1d62b8');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#1d62b8');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#fff');
